
/* 
 * Wrapper around libfdt to simply read a property from the FDT
 * in a simple way and to make things even more simpler in a very simple
 * way a function is added which simply returns a string entry.
 */

#ifndef __GETFDT_H__
#define __GETFDT_H__

/*
 * Read an unsigned long value.
 * Parameters:
 *    vpath: node vpath (start with a /)
 *    pname: property name
 *    defvalue: default value returned if something goes wrong
 *              or the property is not found.
 */
unsigned long fdt_get_ulong(const char *vpath, const char *pname,
		unsigned long defvalue);

const char *fdt_get_string(const char *vpath, const char *pname,
		const char *defvalue);
#endif

